GET/projects/api/v3/reporting/dashboards/details/projects.json

Get project chart details.

This returns a list of projects matching a project chart filter. Used for quick views and similar UI elements

Query Params

  • Name
    startDate
    Type
    string
    Description

    start date

  • Name
    searchTerm
    Type
    string
    Description

    filter by project name

  • Name
    orderMode
    Type
    string
    Description

    order mode

    Default
    asc
    Allowed values
    • asc
    • desc
  • Name
    orderBy
    Type
    string
    Description

    order by

    Default
    name
    Allowed values
    • startdate
    • duedate
    • datecreated
    • name
  • Name
    metric
    Type
    string
    Description
  • Name
    endDate
    Type
    string
    Description

    end date

  • Name
    pageSize
    Type
    integer
    Description

    number of items in a page

    Default
    50
  • Name
    page
    Type
    integer
    Description

    page number

    Default
    1
  • Name
    splitBy
    Type
    enum
    Description
    Default
    none
    Allowed values
    • project.status
    • project.category
    • project.update_health
    • project.owner
    • project.company
    • project.start_date
    • project.end_date
    • project.created_date
    • project.completed_date
  • Name
    groupBy
    Type
    enum
    Description
    Default
    none
    Allowed values
    • project.status
    • project.category
    • project.update_health
    • project.owner
    • project.company
    • project.start_date
    • project.end_date
    • project.created_date
    • project.completed_date
  • Name
    skipCounts
    Type
    boolean
    Description

    SkipCounts allows you to skip doing counts on a list API endpoint for performance reasons.

  • Name
    matchAllProjectTags
    Type
    boolean
    Description

    match all project tags

  • Name
    projectTagIds
    Type
    array[integer]
    Description

    filter by project tag ids

    Format
    Comma separated values
  • Name
    projectStatuses
    Type
    array[string]
    Description

    filter by project status

    Format
    Comma separated values
    Allowed values
    • active
    • current
    • late
    • upcoming
    • completed
    • deleted
  • Name
    projectOwnerIds
    Type
    array[integer]
    Description

    filter by project owner ids

    Format
    Comma separated values
  • Name
    projectIds
    Type
    array[integer]
    Description

    filter by project ids

    Format
    Comma separated values
  • Name
    projectHealths
    Type
    array[integer]
    Description

    filter by project healths

    0: not set 1: bad 2: ok 3: good

    Format
    Comma separated values
    Allowed values
    • 0
    • 1
    • 2
    • 3
  • Name
    projectCompanyIds
    Type
    array[integer]
    Description

    filter by company ids

    Format
    Comma separated values
  • Name
    projectCategoryIds
    Type
    array[integer]
    Description

    filter by project category ids

    Format
    Comma separated values
  • Name
    include
    Type
    array[string]
    Description

    include

    Format
    Comma separated values
    Allowed values
    • projects.categories
    • projects.companies
    • projectOwners

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    projectsResponse contains information about a group of projects.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.

Examples

200 OK

projectsResponse
{  "included": {    "activities": {      "additionalProp": {        "datetime": "string",        "description": "string",        "extraDescription": "string",        "id": 0,        "itemLink": "string",        "itemType": "string",        "latestType": "string",        "link": "string",        "user": {          "id": 0,          "meta": {},          "type": "string"        }      }